/*
 * EpsilonNFAEpsilonRemover.h
 *
 *  Created on: 16. 1. 2014
 *      Author: Tomas Pecka
 */

#ifndef EPSILON_NFA_EPSILON_REMOVER_H_
#define EPSILON_NFA_EPSILON_REMOVER_H_

#include <map>
#include <algorithm>

#include <automaton/FSM/EpsilonNFA.h>
#include <automaton/FSM/NFA.h>
#include <exception/AlibException.h>

namespace epsilon {

class EpsilonNFAEpsilonRemover {
public:
    static automaton::NFA remove( const automaton::EpsilonNFA & );
};

} /* namespace epsilon */

#endif /* EPSILON_NFA_EPSILON_REMOVER_H_ */
